Support » Plugin: PHPINFO Print » Website crashed

  • Hey developer,

    I just wanted to let you know, I updated the plugin to version 1.3 and then my website crashed.

    I got the following error on every page:

    Warning: require_once(lib/phpinfo-class.php): failed to open stream: No such file or directory in /home/*/public_html/wp-content/plugins/phpinfo-print/phpinfo-print.php on line 36

    Fatal error: require_once(): Failed opening required ‘lib/phpinfo-class.php’ (include_path=’.:/opt/local/lib/php’) in /home/*/public_html/wp-content/plugins/phpinfo-print/phpinfo-print.php on line 36

    I had to delete the phpinfo plugin folder through FTP. I don’t know if it’s a one-time case but if not, I thought I should warn you 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • Confirming.
    Latest release broke the plugin.

    The plugin requieres a file: require_once( ‘lib/phpinfo-class.php’ );

    But that file doesn’t exists on the server.
    The files inside the lib folder are: phpinfoClass.php and phpinfoMenu.php.

    That’s the main issue here.

    Hi,

    Filename is not the same:

    require_once( ‘lib/phpinfo-class.php’ );

    should be:
    require_once( ‘lib/phpinfoClass.php’ );

    fix on the next release?

    • This reply was modified 5 months, 1 week ago by gofigure.

    In addition to that filename fix, in phpinfo-print.php
    Change the last two lines to:

    phpinfo::installActions();
    phpinfo::installPlugin();
Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.